local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ModCallbackCustom = require("enums.ModCallbackCustom")
local ModCallbackCustom = ____ModCallbackCustom.ModCallbackCustom
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultGridEntityDisplayCallback = ____utils.defaultGridEntityDisplayCallback
____exports.DebugDisplayTNT = __TS__Class()
local DebugDisplayTNT = ____exports.DebugDisplayTNT
DebugDisplayTNT.name = "DebugDisplayTNT"
__TS__ClassExtends(DebugDisplayTNT, Feature)
function DebugDisplayTNT.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultGridEntityDisplayCallback
    self.postTNTRender = function(____, tnt)
        local text = self:textCallback(tnt)
        renderTextOnEntity(nil, tnt, text)
    end
    self.customCallbacksUsed = {{ModCallbackCustom.POST_TNT_RENDER, self.postTNTRender}}
end
return ____exports
